> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

---
id: 506fbea8-166e-46c6-83dd-639a6100099b
---

# Get the previous version of the layout

> Get a specific previous version of a layout by layout ID and version ID.



## OpenAPI

````yaml specs/legacy/v2/layouts-v2.json GET /content/api/v2/layouts/{layoutId}/versions/{versionId}
openapi: 3.0.1
info:
  title: Layouts API
  description: >-
    Use the layouts API to retrieve data about global groups for CMS templates
    in the developer file system. These layouts can be found in the design
    manager.
  version: v2
servers:
  - url: https://api.hubapi.com
security: []
tags:
  - name: Layouts
paths:
  /content/api/v2/layouts/{layoutId}/versions/{versionId}:
    get:
      tags:
        - Layouts
      summary: Get the previous version of the layout
      description: Get a specific previous version of a layout by layout ID and version ID.
      operationId: getLayoutVersion
      parameters:
        - name: layoutId
          in: path
          description: The ID of the layout
          required: true
          schema:
            type: string
        - name: versionId
          in: path
          description: The ID of the version to retrieve
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: integer
                    description: Version ID
                  object:
                    $ref: '#/components/schemas/Layout'
                  updated_at:
                    type: integer
                    description: Update timestamp
                  user:
                    type: object
                    properties:
                      email:
                        type: string
                      full_name:
                        type: string
                      id:
                        type: integer
                      username:
                        type: string
components:
  schemas:
    Layout:
      type: object
      properties:
        id:
          type: string
          description: The unique id of the layout
        label:
          type: string
          description: The name of the layout that shows up in template builder
        path:
          type: string
          description: The path of the layout as it shows up in template builder
        category_id:
          type: string
          description: The category the layout applies to
        created:
          type: integer
          description: When the layout was first created, in milliseconds since the epoch
        updated:
          type: integer
          description: When the layout was last updated, in milliseconds since the epoch
        deleted_at:
          type: integer
          description: When the layout was deleted, in milliseconds since the epoch
        body_class:
          type: string
          description: The CSS class applied to the layout body
        body_css_id:
          type: string
          description: The CSS id applied to the layout body
        layout_data:
          type: object
          description: A complex JSON structure with the actual data for the layout
        custom_head:
          type: string
          description: Custom HTML added to the head of pages using the layout
        include_default_custom_css:
          type: boolean
          description: Flag to include the Primary CSS stylesheet
        enable_domain_stylesheet:
          type: boolean
          description: Flag to include the domain stylesheets for a page using the layout
        attached_stylesheets:
          type: array
          items:
            type: string
          description: >-
            List of references to stylesheets that are attached directly to the
            layout

````